EnableExplicit

Global PBEx_Speech

CompilerIf #PB_Compiler_Processor = #PB_Processor_x86
  PBEx_Speech = OpenLibrary(#PB_Any, "PB.Ex_Speech_x86.dll")
CompilerElseIf #PB_Compiler_Processor = #PB_Processor_x64
  PBEx_Speech = OpenLibrary(#PB_Any, "PB.Ex_Speech_x64.dll")
CompilerEndIf

If PBEx_Speech
  Prototype TextToSpeaker(Text.p-Unicode, Voice.p-Unicode, Speed, Volume, Asynchronous, ErrorOutput)
  Global TextToSpeaker.TextToSpeaker = GetFunction(PBEx_Speech, "TextToSpeaker")
  Prototype TextToAudioFile(Text.p-Unicode, Voice.p-Unicode, Speed, Volume, SaveFilePath.p-Unicode, ErrorOutput)
  Global TextToAudioFile.TextToAudioFile = GetFunction(PBEx_Speech, "TextToAudioFile")
  Prototype SpeechRecognition(WordArray, WordArraySize, ErrorOutput)
  Global SpeechRecognition.SpeechRecognition = GetFunction(PBEx_Speech, "SpeechRecognition")
  Prototype WaitSpeechRecognition(RecognizedWord)
  Global WaitSpeechRecognition.WaitSpeechRecognition = GetFunction(PBEx_Speech, "WaitSpeechRecognition")
  Prototype KillSpeechRecognition()
  Global KillSpeechRecognition.KillSpeechRecognition = GetFunction(PBEx_Speech, "KillSpeechRecognition")
  
EndIf

; IDE Options = PureBasic 5.70 LTS (Windows - x64)
; CursorPosition = 23
; EnableXP
; EnableUser
; Executable = PB.Ex_MSSQL_x86.exe
; CompileSourceDirectory
; EnableCompileCount = 143
; EnableBuildCount = 6